"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLowerVersion = getLowerVersion;
exports.mergeDiscoveries = mergeDiscoveries;
const compare_versions_1 = require("compare-versions");
const lodash_1 = __importDefault(require("lodash"));
function getLowerVersion(a, b) {
    return [a, b].sort(compare_versions_1.compareVersions)[0];
}
function mergeDiscoveries(discovery, newDiscovery) {
    lodash_1.default.merge(discovery, newDiscovery);
    // eslint-disable-next-line no-param-reassign
    discovery.info.version = getLowerVersion(discovery.info.version, newDiscovery.info.version);
    // eslint-disable-next-line no-param-reassign
    discovery.info["x-document-version"] = getLowerVersion(discovery.info["x-document-version"], newDiscovery.info["x-document-version"]);
}
