"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addCommands = void 0;
const config_1 = require("../../config");
const core_1 = require("../../config/core");
const constants_1 = require("../../constants");
const logger_1 = require("../../logger");
const commands_1 = require("../../utils/commands");
const handler_1 = require("../handler");
const passcode = async () => async () => {
    const { output } = (0, logger_1.get)("commands.passcode");
    const config = (0, config_1.get)();
    output(config.passcodeUrl);
};
const passcodeCommand = {
    type: "command",
    command: "passcode-url",
    description: "display the passcode url",
    handler: (0, handler_1.createNextHandler)("commands.config.passcode-url", (0, handler_1.createParseArgumentsHandler)(), (0, handler_1.createMandatoryOptionsHandler)(), passcode),
};
const addCommands = async (program) => {
    if ((0, core_1.getAuthenticationMethods)().includes(constants_1.AuthenticationMethod.passcode)) {
        await (0, commands_1.buildCommand)(program, passcodeCommand);
    }
};
exports.addCommands = addCommands;
