"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.create = void 0;
const config_1 = require("../../../../config");
const constants_1 = require("../../../../constants");
const create = () => async () => async () => {
    const config = (0, config_1.get)();
    /* jscpd:ignore-end */
    if (!config[constants_1.CONFIG_PASSCODE_FUNCTION] ||
        typeof config[constants_1.CONFIG_PASSCODE_FUNCTION] !== "function") {
        throw new Error("passcode function not available from configuration or provided argument is no function");
    }
    let passcode = config.options[constants_1.OPTION_PASSCODE.longName];
    if (!passcode) {
        passcode = await config[constants_1.CONFIG_PASSCODE_FUNCTION]();
        if (!passcode) {
            throw new Error(`provided passcode function did not return a passcode. returned value was ${passcode}`);
        }
        (0, config_1.set)({ passcode });
    }
};
exports.create = create;
